#include "extlist.h"
#include "ui_extlist.h"
#include <QInputDialog>


extList::extList(QStringList *sl, QWidget *parent)
    : QDialog(parent)
    , ui(new Ui::extList), m_sl(sl) {
    ui->setupUi(this);
    ui->listWidget->addItems(*m_sl);
}

extList::~extList() {
    delete ui;
}

void extList::on_pushButton_4_clicked() {
    m_sl->clear();
    for (int i=0; i< ui->listWidget->count(); ++i) {
        m_sl->push_back(ui->listWidget->item(i)->text());
    }
    accept();
}


void extList::on_pushButton_5_clicked() {
    reject();
}


void extList::on_pushButton_3_clicked() {
    ui->listWidget->clear();
    ui->listWidget->addItem("report");
}


void extList::on_pushButton_clicked() {
    QString text;
    bool ok;
    QString value = QInputDialog::getText(this, tr("Ввод данных"),
                                    tr("Введите расширение файла"), QLineEdit::Normal,
                                    text, &ok, Qt::Popup);

    if (ok && !value.isEmpty()) {
        ok = false;
        auto ret = ui->listWidget->findItems(value, Qt::MatchFixedString);
        if (ret.empty()) ui->listWidget->addItem(value);
    }
}

void extList::on_pushButton_2_clicked() {
    auto sels = ui->listWidget->selectedItems();
    for (auto &cur: sels) {
        if (cur->text() == "report") continue;

        ui->listWidget->takeItem(ui->listWidget->row(cur));
    }
}

